version: 1
name: Tux Plan
description: Generated plan from tuxsuite cli
jobs:
- name: Tux Plan
  build:
    build_name: gcc-13-lkftconfig-debug
    kconfig:
    - https://storage.tuxsuite.com/public/linaro/lkft/builds/2n9hKeadOdByQqrB9torI7UsSjD/config
    git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git
    target_arch: arm64
    toolchain: gcc-13
    environment: {}
    targets: []
    make_variables: {}
    kernel_image: ''
    image_sha: ''
    no_cache: false
    is_public: true
  tests:
  - ap_romfw: null
    bios: null
    bl1: null
    boot: null
    boot_args: rw
    commands:
    - cd /opt/ltp && ./runltp -s fanotify22
    device: qemu-arm64
    dtb: null
    fip: null
    host: x86_64
    is_public: true
    kernel: null
    lab: https://lkft.validation.linaro.org
    lava_test_plans_project: lkft
    mcp_fw: null
    mcp_romfw: null
    modules: null
    overlay:
    - - https://storage.tuxboot.com/overlays/debian/trixie/arm64/ltp/20240524/ltp.tar.xz
      - /
    parameters:
      MODULES_PATH: /usr/
      SHARD_INDEX: 3
      SHARD_NUMBER: 6
      SKIPFILE: skipfile-lkft.yaml
    qemu_image: null
    rootfs: https://storage.tuxboot.com/debian/trixie/arm64/rootfs.ext4.xz
    scp_fw: null
    scp_romfw: null
    shared: null
    timeouts:
      boot: 30
      ltp-syscalls: 50
    tuxbuild: null
    tuxbuild_data:
      auto_retry: true
      build_name: gcc-13-lkftconfig-debug
      build_status: pass
      callback: https://qa-reports.linaro.org/api/fetchjob/lkft/linux-stable-rc-linux-6.10.y/v6.10.13-483-gd44129966591/env/tuxsuite.com
      callback_headers: null
      client_token: 14b86846-7ac1-4c82-90be-9c58f940cbf5
      download_url: https://storage.tuxsuite.com/public/linaro/lkft/builds/2n9hKeadOdByQqrB9torI7UsSjD/
      duration: 1600
      environment: {}
      errors_count: 0
      finished_time: '2024-10-08T13:44:08.718895'
      git_describe: v6.10.13-483-gd44129966591
      git_ref: null
      git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git
      git_sha: d44129966591836e3ff248d0af2358f1b8f7bc28
      git_short_log: d44129966591 ("Linux 6.10.14-rc1")
      image_sha: ''
      is_canceling: false
      is_public: true
      kconfig:
      - defconfig
      - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft.config
      - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft-crypto.config
      - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/distro-overrides.config
      - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/netdev.config
      - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/systemd.config
      - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/virtio.config
      - CONFIG_SYN_COOKIES=y
      - CONFIG_SCHEDSTATS=y
      - CONFIG_DEBUG_ATOMIC_SLEEP=y
      - CONFIG_DEBUG_INFO=y
      - CONFIG_DEBUG_PREEMPT=y
      - CONFIG_DEBUG_VM=y
      kernel_image: ''
      kernel_image_name: Image.gz
      kernel_patch_file: ''
      kernel_version: 6.10.14-rc1
      make_variables: {}
      modules: true
      no_cache: false
      notify_emails: null
      plan: 2n9hJrMzS6obLFiRMRUvEaVU4Ey
      project: linaro/lkft
      provisioning_time: '2024-10-08T12:38:56.466639'
      result: pass
      retry: 0
      retry_message: ''
      running_time: '2024-10-08T13:17:21.916530'
      sccache_hits: 3846
      sccache_misses: 5892
      setup_duration: 97
      state: finished
      status_message: build completed
      target_arch: arm64
      targets: []
      token_name: lkft-bot
      toolchain: gcc-13
      tuxbuild_status: complete
      tuxmake_metadata:
        compiler:
          name: aarch64-linux-gnu-gcc
          version: '13'
          version_full: aarch64-linux-gnu-gcc (Debian 13.3.0-5) 13.3.0
        results:
          artifacts:
            config:
            - config
            debugkernel:
            - vmlinux.xz
            - System.map
            default: []
            dtbs:
            - dtbs.tar.xz
            dtbs-legacy:
            - dtbs.tar.xz
            headers:
            - headers.tar.xz
            kernel:
            - Image.gz
            log:
            - build.log
            - build-debug.log
            modules:
            - modules.tar.xz
            xipkernel: []
          duration:
            build: 1491.4725234508514
            cleanup: 5.692484378814697
            copy: 0.058598995208740234
            metadata: 1.24013352394104
            prepare: 77.01475429534912
            validate: 0.00013184547424316406
          errors: 0
          status: PASS
          targets:
            config:
              duration: 13.846809148788452
              status: PASS
            debugkernel:
              duration: 17.67801070213318
              status: PASS
            default:
              duration: 1419.4324624538422
              status: PASS
            dtbs:
              duration: 10.035685777664185
              status: PASS
            dtbs-legacy:
              duration: 0.3378317356109619
              status: SKIP
            headers:
              duration: 5.275065183639526
              status: PASS
            kernel:
              duration: 8.774009227752686
              status: PASS
            modules:
              duration: 15.249069452285767
              status: PASS
            xipkernel:
              duration: 0.2688462734222412
              status: SKIP
          warnings: 1
        runtime:
          image_digest: 855116176053.dkr.ecr.us-east-1.amazonaws.com/tuxmake/arm64_gcc-13@sha256:895d2780d81b2d4c9adc50c9d8b9f4288d173e4317962fa6cd05c558ca9357d2
          image_name: 855116176053.dkr.ecr.us-east-1.amazonaws.com/tuxmake/arm64_gcc-13
          image_tag: null
          version: podman version 4.6.2
        tools:
          ar: GNU ar (GNU Binutils for Debian) 2.43
          as: GNU assembler (GNU Binutils for Debian) 2.43
          bc: bc 1.07.1
          bison: bison (GNU Bison) 3.8.2
          ccache: ccache version 4.10.2
          depmod: kmod version 32
          flex: flex 2.6.4
          gcc: gcc (Debian 13.3.0-5) 13.3.0
          ld: GNU ld (GNU Binutils for Debian) 2.43
          make: GNU Make 4.3
          openssl: 'OpenSSL 3.2.2 4 Jun 2024 (Library: OpenSSL 3.2.2 4 Jun 2024)'
          pahole: v1.25
          ps: ps from procps-ng 4.0.4
          sccache: sccache 0.2.9
        tuxmake:
          version: 1.27.0
      uid: 2n9hKeadOdByQqrB9torI7UsSjD
      user: lkft@linaro.org
      user_agent: tuxsuite/1.42.1
      waited_by:
      - TEST#2n9hLlNckgkW69cGtEDM0o4Ksoh
      warnings_count: 1
    uefi: null
